snapconv(1)

NAME
snapconv — Sinclair ZX Spectrum snapshot converter

SYNOPSIS
snapconv [ -c ] [ -n ] [ -f ] infile outfile

DESCRIPTION
snapconv converts between ZX Spectrum snapshot files.

OPTIONS

-c  specifies that all data in the output snapshot should be compressed, even if that compression will result in a bigger file than if some data is left uncompressed. This helps compatibility with some buggy programs that can only read entirely compressed .z80 files.

-n  specifies that the output snapshot should be uncompressed.

-f  specifies that the A and F and A' and F' registers should be swapped. Version 0.5.0 and older of libspectrum(3) had a bug that resulted in these registers being swapped in SZX snapshots only. Version 0.5.1 and newer of libspectrum(3) automatically recognise these snapshots and correct the problem, but this flag is necessary to fix some snapshots created by development versions only of libspectrum(3) which had the bug fixed, but cannot be distinguished from snapshots containing the bug.

-h, --help
    give brief usage help, listing available options.

-V, --version
    output version information.

infile
    specifies the snapshot to be converted. This file can be in any of the snapshot formats supported by libspectrum(3).

outfile
    specifies the output snapshot. The format will be determined by the file extension and can be in any of the formats libspectrum(3) supports for output.

BUGS
None known.

SEE ALSO
fuse(1), fuse-utils(1), libspectrum(3), listbasic(1), snap2tzx(1)

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Philip Kendall (philip-fuse@shadowmagic.org.uk).